module variaveis

! Variaveis para extracao do tempo de CPU
integer, dimension(8) :: tarray1, tarray2
real*8 :: tc, tcpu1, tcpu2


real*8 :: P0                ! Pressao de Estagnacao (Pa)
real*8 :: T0                ! Temperatura de Estagnacao (K)
real*8 :: ro0               ! Massa especifica de estagnacao (kg/m3)

real*8 :: R                 ! Constante do gas (Constante dos gases perfeitos / massa molar) (J/(kg/K))
real*8 :: Mmt, Mmg, Mmc     ! Massa molar do gas (g/mol)

real*8, parameter :: pi = dacos(-1.d0)

integer :: iteracoes        ! Numero maximo de iteracoes
integer :: iteracao, flag, n_comp_prop
integer :: i, j, k 

integer :: pulo, propelente

character*90 :: entrada_propep, saida_propep

character*20 :: temp1, temp2, temp3, temp4

character*90 :: Titulo_sim

character*90 :: TEXTO

logical :: existe, dos



integer :: n_f_molares_gas, n_f_molares_cond
real*8, dimension(:), allocatable :: frac_molar_gas, frac_molar_cond
character*20, allocatable, dimension(:)  :: n_frac_molar_gas, n_frac_molar_cond
real*8 :: n_mol, f_m_condensado, fracao_condensado

real*8 :: Cp_gas, Cp_mistura, Cp_condensado, Cs, kmix, kgas, k2ph, qui, psi, soma
real*8 :: MASSA
integer :: T_Cp

!-----------------------
real*8 :: ro, Dg, Da, De, Lp, Pa, a, n, tol
real*8 :: Tg, pg, Vg

real*8 :: It, Is, tq, Fdin, Fp, Ftotal
real*8 :: g = 9.806563d0

integer :: ka

real*8 :: Mach, Mach2, fmp_especificado


! ESCOLHA ENTRE TIPOS DE USO DO PROGRAMA
integer :: escolha

!-----------------------

real*8 :: Fe, Ve, P0_ant, gamma, Ps, Epsilon, Cf_vac, Cf

real*8 :: TS                 ! Temperatura na Saida (K)
real*8 :: roS                ! Massa especifica na Saida (kg/m3)

real*8 :: Ds                ! Diametro efetivo de saida (mm)

end module variaveis